<?php
	session_start();
	if($_SESSION['mid'])
	{
		$userid= $_SESSION['mid'];
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		$query8="select * from wallet where Userid=$userid order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
		
?>
<html>
<head>
<style>
body{background:url('bg.jpg'); background-size:cover;
width:100%; height:700px; margin:0px;}

.head{background:; width:1350px; height:100px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420;
	font-weight:bold;}
#p2{font-size:21px; float:left; margin:25 0 0 -10px; color:#eaa040;
	font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420;
	margin-top:41px; margin-left:-157px;}
#p4{font-family:100px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}
	
.menu{background:#996420; height:40px; width:1300px; margin:0 0 0 20px; padding:0;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 #bal:hover{background:#996420; cursor:text;}
 

 #heading{margin-left:20px;}
 .search{width:1300px; margin:10 0 0 20px; height:50px; line-height:60px;}
#inp{width:180px; height:25px; border:1px solid #996420; border-radius:3px; padding:2 8px;}
#tdp{float:right; margin-right:20px;}
  .rechhistoryhead{width:1250px; background:#996420; color:white; height:40px;
 margin:0  0 0 20px; line-height:40px;}
 .rechhistoryhead p{margin-left:10px;}
 .rechreport{ margin:0;}
#t1{ width:1250px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; }
#t1 td{font-family:calibri;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }
 #suces{color:#19dc42;}
.foot{background:#996420; width:1350px; height:50px; float:left; text-align:center;}
</style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2"><?php echo"Balance : ". $currentbal;  ?></p>
	</div>
	<div class="menu">
		<ul>
			<li><a href="recharge_home.php" id="a1">Home</a></li>
			<li>Retailer
				<ul>
					<li><a href="add_new_agent.php">Add New Retailer</a></li>
					<li><a href="view_retailer.php">View Total Retailers</a></li>
					<li><a href="low_bal_retailer.php">Low Bal. Retailers</a></li>
					<li><a href="lazy_retailer.php">Lazy Retailers</a></li>
				</ul>
			</li>
			<li>Commission
				<ul>
					<li><a href="earn_commision.php">Earn Commision</a></li>
					<li><a href="withdraw_commision.php">Withdraw Comm.</a></li>
				</ul>
			</li>
			<li>Reports
				<ul>
					<li><a href="recharge_history.php">Recharge History</a></li>
					<li><a href="account_reports.php">Account Reports</a></li>
					<li><a href="check_status.php">Check Status</a></li>
				</ul>
			</li>
			<li>Documents
				<ul>
					<li><a href="sms_format.php">SMS Format</a></li>
					<li><a href="complain.php">Complain</a></li>
				</ul>
			</li>
			<li>Profile
				<ul>
					<li><a href="change_profile.php">Change Profile</a></li>
					<li><a href="change_pwd.php">Change Password</a></li>
				</ul>
			</li>
			<li>Payment Request
				<ul>
					<li><a href="payment_request.php">Update Payment</a></li>
					<li><a href="bank_list.php">Bank List</a></li>
				</ul>
			</li>
		</ul>
	</div>	
		<h3 id="heading">Commission Reports<h3><hr>

	<div class="search">
	<form method="post">
	<table border="0" cellpadding="8">
		<tr>
			<td id="tdp">Search By Date:</td>
			<td><input type="date" name="fdate" id="inp"></td>
			<td><input type="submit" name="submit"></td>
		</tr>
	</table>
	</form>
	</div>
	
	<div class="rechhistoryhead">
		<p>Commission Reports</p>
	</div>
	
	<div class="rechreport">
	
		<?php
		include'connection.php';
		
			echo "<table width='100%' border='1'  cellpadding='10' id='t1'>";
				echo "<tr>";
					echo "<th>Date | Time</th>";
					echo "<th>Recharge Id</th>";
					echo "<th>Mobile</th>";
					echo "<th>Company Name</th>";
					echo "<th>Recharge Amount</th>";
					echo "<th>Commission</th>";
					echo "<th>Retailer Id</th>";
					echo "<th>Retailer Name</th>";
				echo "</tr>";
			if(isset($_POST['submit']))
			{
				$fdate=$_POST['fdate'];
				$sum=0;
				$sum1=0;
				$query="select * from commwallet where Userid='$userid' and Date='$fdate'";
				$result=mysqli_query($con, $query);
				while($row=mysqli_fetch_array($result))
				{
					$sum=$sum+$row['Amount'];
					$sum1=$sum1+$row['Balance'];
					echo "<tr>";
						echo "<td>".$row['Date']." | ".$row['Time']."</td>";
						echo "<td>".$row['Rechargeid']."</td>";
						echo "<td>".$row['Mobile']."</td>";
						echo "<td>".$row['Operator']."</td>";
						echo "<td>".$row['Amount']."</td>";
						echo "<td>".$row['Balance']."</td>";
						echo "<td>".$row['Retailer']."</td>";
						echo "<td>".$row['Retailername']."</td>";
					echo "</tr>";
				}
				
				
				echo "<tr>";
					echo "<th>Date</th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th>Total Recharge Amount</th>";
					echo "<th>Total Commission</th>";
					echo "<th></th>";
					echo "<th></th>";
				echo "</tr>";
				echo "<tr>";
					echo "<td>".$fdate."</td>";
					echo "<td></td>";
					echo "<td></td>";
					echo "<td></td>";
					echo "<td>".$sum."</td>";
					echo "<td>".$sum1."</td>";
					echo "<td></td>";
					echo "<td></td>";
				echo "</tr>";
		
			}
		echo "</table>";
		?>
	
	</div>
	
</body>
</html>